Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class WarPlugin

    java.lang.Object
      org.gradle.api.plugins.WarPlugin

All Implemented Interfaces:
  Plugin

    public class WarPlugin

extends java.lang.Object
implements Plugin

A `Plugin` which extends the `JavaPlugin` to add tasks which assemble a web application into a WAR file.

Field Summary
`static java.lang.String` | `PROVIDED_COMPILE_CONFIGURATION_NAME`
`static java.lang.String` | `PROVIDED_RUNTIME_CONFIGURATION_NAME`
`static java.lang.String` | `WAR_TASK_NAME`

Constructor Summary
`WarPlugin()`

Method Summary
`void` | `configureConfigurations(ConfigurationContainer configurationContainer)`
`void` | `use(Project project, ProjectPluginsContainer projectPluginsHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROVIDED_COMPILE_CONFIGURATION_NAME

    public static final java.lang.String PROVIDED_COMPILE_CONFIGURATION_NAME

See Also:
  Constant Field Values

### PROVIDED_RUNTIME_CONFIGURATION_NAME

    public static final java.lang.String PROVIDED_RUNTIME_CONFIGURATION_NAME

See Also:
  Constant Field Values

### WAR_TASK_NAME

    public static final java.lang.String WAR_TASK_NAME

See Also:
  Constant Field Values

Constructor Detail

### WarPlugin

    public WarPlugin()

Method Detail

### use

    public void use(Project project,
                    ProjectPluginsContainer projectPluginsHandler)

  Specified by:
    `use` in interface `Plugin`

### configureConfigurations

    public void configureConfigurations(ConfigurationContainer configurationContainer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD